// #ifdef H5
import wx from 'weixin-js-sdk'
// #endif
import {
  isWeixin
} from "./common.js"
import store from '@/store/index.js'
export const navToPage = (function() {
  var gopageid = null
  return function(p, goToType = "navigateTo") {
    var {
      url,
      ...data
    } = p
    // #ifdef H5
    if (isWeixin()) {
      wx.miniProgram.getEnv(res => {
        if (res.miniprogram) {
          var i = 0;
          (function goTo() {
            if (gopageid) {
              clearTimeout(gopageid)
            }
            i++
            if (uniWebview && uniWebview[goToType]) {
              // h5跳转小程序
              uniWebview[goToType]({
                url: url,
                ...data
              })
            } else if (i < 10) {
              gopageid = setTimeout(function() {
                gopageid = null
                goTo()
              }, 200)
            }
          })()
        } else {
          // 当前环境跳转
          uni[goToType]({
            url: url,
            ...data
          })
        }
      })
    } else {
      // 当前环境跳转
      uni[goToType]({
        url: url,
        ...data
      })
    }
    // #endif
    // #ifndef H5
    // 当前环境跳转
    uni[goToType]({
      url: url,
      ...data
    })
    // #endif
  }
})()

export function webViewHref(url) {
  if (!!~url.indexOf("?")) {
    return process.env.VUE_APP_HREF + url +
      `&x-token=${store.state.user.token}&openId=${store.state.user.openId}&username=${store.state.user.name}&useravatar=${store.state.user.avatar}`
  } else {
    return process.env.VUE_APP_HREF + url +
      `?x-token=${store.state.user.token}&openId=${store.state.user.openId}&username=${store.state.user.name}&useravatar=${store.state.user.avatar}`
  }
}