import {
  isWeixin
} from '@/common/utils/common';
import {
  webViewHref,
  navToPage
} from '@/common/utils/navPag';
import {
  firstPerform
} from "js-perform-lock";
import store from '@/store/index.js'

// #ifdef H5
import wx from 'weixin-js-sdk'
// #endif

// #ifdef MP-WEIXIN
// 微信小程序页面劫持
var goLoginPage = (new firstPerform(1000)).refactor(function() {
  navToPage({
    url: "/pages/login/indexs"
  }, "redirectTo")
});
var routerBeforeEach = (new firstPerform(200)).refactor(function() {
  function getrouter() {
    let routes = getCurrentPages();
    if (routes.length) {
      let curRoute = routes[routes.length - 1].route
      let whitePages = [
        'pages/login/index',
        'pages/login/indexs',
        'pages/index/index',
      ]
      if (!store.getters.token && whitePages.indexOf(curRoute) == -1) {
        goLoginPage()
      }
    } else {
      setTimeout(getrouter, 300)
    }
  }
  getrouter()
});
// #endif

var updatePageLay = (new firstPerform(1000)).refactor(function() {
  // 去除顶部
  var uni_page_head = document.querySelector("uni-page-head[uni-page-head-type='default']")
  if (uni_page_head) {
    uni_page_head.remove()
  }
  // 去除底部
  var uni_tabbar_bottom = document.getElementsByClassName("uni-tabbar-bottom")
  if (uni_tabbar_bottom.length) {
    uni_tabbar_bottom[0].remove()
    var uni_page_wrapper = document.getElementsByTagName("uni-page-wrapper")
    if (uni_page_wrapper.length) {
      loadStyleString(
        "uni-page-wrapper{height: calc(100% - env(safe-area-inset-bottom)) !important} uni-page-wrapper::after{height: env(safe-area-inset-bottom) !important}"
      );
    }
  }
});

// 插入样式
function loadStyleString(css) {
  var style = document.createElement("style");
  style.type = "text/css";
  try {
    style.appendChild(document.createTextNode(css));
  } catch (ex) {
    style.styleSheet.cssText = css;
  }
  var head = document.getElementsByTagName('head')[0];
  head.appendChild(style);
}

// 存放页面公用数据、方法...
export default {
  onShow() {
    // #ifdef MP-WEIXIN
    routerBeforeEach()
    // #endif
  },
  mounted() {
    // #ifdef MP-WEIXIN
    routerBeforeEach()
    // #endif
    if (isWeixin()) {
      updatePageLay()
    }
  },
  methods: {
    webViewHref: webViewHref,
  }
}